Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezmediacatalogue/admin/browse.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZMediaCatalogueMain", "Language" )
| $MediaDir = $ini->variable( "eZMediaCatalogueMain", "ImageDir" )
| $t
| $user =& eZUser::currentUser()
| $session =& eZSession::globalSession()
| $returnUrl = $session->variable( "MediaListReturnTo" )
| $category = new eZMediaCategory( $CategoryID )
| $error = true
if( $category->id() !=0) | $pathArray = $category->path()
foreach( $pathArray as $path) | $categoryList =& $category->getByParent( $category )
| $i =0
foreach( $categoryList as $categoryItem) if(count( $categoryList) > 0) | else
| $mediaList =& $category->media()
| $selectMedia = $session->variable( "SelectMedia" )
| $counter = 0

## Variable Documentation

## ◆ $category

$category = new eZMediaCategory( $CategoryID )

Definition at line 93 of file ezmediacatalogue/admin/browse.php.

## ◆ $categoryList

foreach ($pathArray as $path) $categoryList =& $category->getByParent( $category )

Definition at line 137 of file ezmediacatalogue/admin/browse.php.

## ◆ $counter

$counter = 0

Definition at line 180 of file ezmediacatalogue/admin/browse.php.

## ◆ $error

$error = true

Definition at line 97 of file ezmediacatalogue/admin/browse.php.

## ◆ $i

$i =0

Definition at line 139 of file ezmediacatalogue/admin/browse.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 40 of file ezmediacatalogue/admin/browse.php.

## ◆ $Language

$Language = $ini->variable( "eZMediaCatalogueMain", "Language" )

Definition at line 42 of file ezmediacatalogue/admin/browse.php.

## ◆ $MediaDir

$MediaDir = $ini->variable( "eZMediaCatalogueMain", "ImageDir" )

Definition at line 44 of file ezmediacatalogue/admin/browse.php.

## ◆ $mediaList

$mediaList =& $category->media()

Definition at line 171 of file ezmediacatalogue/admin/browse.php.

## ◆ $pathArray

if ($category->id() !=0) $pathArray = $category->path()

Definition at line 123 of file ezmediacatalogue/admin/browse.php.

## ◆ $returnUrl

$returnUrl = $session->variable( "MediaListReturnTo" )

Definition at line 58 of file ezmediacatalogue/admin/browse.php.

## ◆ $selectMedia

$selectMedia = $session->variable( "SelectMedia" )

Definition at line 173 of file ezmediacatalogue/admin/browse.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 56 of file ezmediacatalogue/admin/browse.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezmediacatalogue/admin/" . $ini->variable( "eZMediaCatalogueMain", "AdminTemplateDir" ),
"kernel/ezmediacatalogue/admin/intl/", $Language, "browse.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezmediacatalogue/admin/browse.php:42
$ini
$ini
Definition: ezmediacatalogue/admin/browse.php:40

Definition at line 46 of file ezmediacatalogue/admin/browse.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 53 of file ezmediacatalogue/admin/browse.php.

## ◆ else

if ($error==false) else

Initial value:
{
$t->set_var( "category_list", "" )
$t
$t
Definition: ezmediacatalogue/admin/browse.php:46

Definition at line 165 of file ezmediacatalogue/admin/browse.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.